Subject: FVWM: FVWM2: Help with FvwmButtons and FvwmIconBox

From: Brian Sayatovic <[email-masked]>
Date: Mon, 07 Jul 1997 14:58:59 -0400

As you can see from the attached GIF, my FvwmIconBox doesn't quite fit
nicely into my FvwmButtons when it's swallowd.  What I'd ideally like is
for it to be simply an inset with a scrollbar showing all of tyhe icons
on the current desk.  However, it seems to be just 'floating' over the
buttons with its own border.  My configuration for the two is pasted at
the bottom.  What can I do to achieve the integregrated look I am after?

Also, is there a way to use pixmaps instead of colors for the buttons,
as is done with the titlebars abd borders in Fvwm2?

#---------------------------------------------------------------------
# FvwmButtons button-bar
#---------------------------------------------------------------------
# Colors
        *FvwmButtonsFore  #000000
        *FvwmButtonsBack  #afafaf
 
# Font
        *FvwmButtonsFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
 
# Geometry - really likes to pick its own size, but giving a position is
OK
        *FvwmButtonsGeometry 1152x96+0+0
   *FvwmButtonsFrame 2
   *FvwmButtonsPadding  2 2
 
# Layout: specify rows or columns, not both
        *FvwmButtonsRows 1
 
   # Frame/Padding  defaults to 0 for containers, so this forces is it
back to 2   *FvwmButtons(1x1, Frame 2, Padding 2, Container(Rows 1,
Frame 0, Padding 0 0))
 
        *FvwmButtons(1x1, Container(Rows 3, Frame 0, Padding 0 0))
      
      *FvwmButtons(1x1)
      *FvwmButtons(1x1)
        *FvwmButtons(1x1, \
         Title(Side) " Begin ", Icon mini.window-minimize.xpm, \
         Action 'Popup Start')
      *FvwmButtons(End)
         
   # Just as a template, make sure buttons are at least 64x1
        *FvwmButtons(1x1, Size 64 1, \
      Swallow Clock "Exec exec oclock -geometry 64x64 &")
   
        *FvwmButtons(1x1, \
      Swallow XBiff "Exec exec xbiff -file
/net/itimail/var/spool/mail/bjs -fg \#000000 -bg \#afafaf")
   
        *FvwmButtons(4x1, Frame -2, Padding 2 2, \
      Swallow FvwmPager "FvwmPager 0 3")
      
        *FvwmButtons(8x1, Frame -2, Padding 2 2, \
      Swallow  FvwmIconBox "FvwmIconBox")
 
   *FvwmButtons(End)

#---------------------------------------------------------------------
# FvwmIconBox
#---------------------------------------------------------------------
 
# Note that icons are shown in the module only if NoIcon commnand is
applied.
 
        *FvwmIconBoxIconBack    #afafaf
        *FvwmIconBoxIconfore    #000000
        *FvwmIconBoxIconHiFore  #ffffff
        *FvwmIconBoxIconHiBack  Blue
        *FvwmIconBoxBack        #afafaf
        *FvwmIconBoxFore        #000000
        *FvwmIconBoxFrameWidth  0 0
 
# Measured in icons
        *FvwmIconBoxGeometry    9x1
 
        *FvwmIconBoxMaxIconSize 64x64
        *FvwmIconBoxFont       
-adobe-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*
        *FvwmIconBoxSortIcons   IconName
        *FvwmIconBoxPadding     1
        *FvwmIconBoxLines       10
        *FvwmIconBoxSBWidth     10
        *FvwmIconBoxPlacement   Left Top
 
# Make this point to a linked 'desktop.xpm' that is changed by the
crontab
#  *FvwmIconBoxPixmap     fvwm.xpm
 
        *FvwmIconBoxSetWMIconSize
        *FvwmIconBoxHilightFocusWin
        *FvwmIconBoxResolution  Desk
 
# Hide xcroll bar(s)
        *FvwmIconBoxHideSC Horizontal
 
        *FvwmIconBoxMouse       1       DoubleClick     Iconify
        *FvwmIconBoxMouse       2       Click           Focus
# 'Close' on this seems to crash fvwm2!
#       *FvwmIconBoxMouse       3       Click           Popup
WindowOperations
 
        *FvwmIconBoxKey         space   Focus
        *FvwmIconBoxKey         enter   Iconify
 
# Icon file specifications
#   Mostly, you don't have to specify icon files, as FvwmIconBox now
reads 
#   icon files specified in Style commands.
        *FvwmIconBox            "Fvwm*"         -
 
 ___________________________________________________________
|                                                           |
|  Brian Sayatovic                 (mailto:[email-masked])  |
| --------------------------------------------------------- |
|  International TechneGroup, Inc. (http://www.iti-oh.com)  |
|___________________________________________________________|
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].